Bug 715198 - [qxl] Win2k3 guest got BOSD during ping-pong migration with copying file inside guest
[qxl] Win2k3 guest got BOSD during ping-pong migration with copying file insi...
Status: CLOSED DUPLICATE of bug 715222
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.7
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Juan Quintela
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2011-06-22 03:25 EDT by Qunfang Zhang
Modified: 2013-01-09 19:00 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-07 06:46:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Dump_analysis_1 (6.77 KB, text/plain)
2011-06-22 04:06 EDT, Qunfang Zhang
no flags Details
Dump_analysis_2 (4.29 KB, text/plain)
2011-06-22 04:07 EDT, Qunfang Zhang
no flags Details

  None (edit)
Description Qunfang Zhang 2011-06-22 03:25:26 EDT
Description of problem:
Boot a win2k3-64 guest in src host, and copying a big file from a samba server, then do ping-pong migration between src and dst hosts.
Guest got BSOD.
Dump files will be provided later.

Version-Release number of selected component (if applicable):
kernel-2.6.18-268.el5
kvm-83-238.el5

How reproducible:
Always

Steps to Reproduce:
1.Boot a win2k3 guest in src host:

/usr/libexec/qemu-kvm -no-hpet -no-kvm-pit-reinjection -usbdevice tablet -rtc-td-hack -startdate now -name 2k3-64 -smp 4,cores=4 -k en-us -m 4096 -boot c -net nic,vlan=1,macaddr=01:1a:4a:42:17:01,model=virtio -net tap,vlan=1,script=/etc/qemu-ifup,script=/etc/qemu-ifup -drive file=/mnt/win2k3-64-virtio-backup.raw,media=disk,if=virtio,cache=off,boot=on,format=raw,werror=stop -cpu qemu64,+sse2 -M rhel5.6.0 -notify all -balloon none -monitor stdio -spice host=0,ic=on,port=5910,disable-ticketing -qxl 1

2. Copy a big file inside guest from a samba server.
3. Do ping pong migration between the 2 hosts ( both installed with same kernel and kvm version) 
  
Actual results:
Guest got BSOD.


Expected results:
Can finish migration successfully.

Additional info:

Host info:

8 physical cpus in total.

processor	: 7
vendor_id	: GenuineIntel
cpu family	: 6
model		: 26
model name	: Intel(R) Core(TM) i7 CPU         920  @ 2.67GHz
stepping	: 4
cpu MHz		: 1600.000
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 3
cpu cores	: 4
apicid		: 7
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx rdtscp lm constant_tsc ida nonstop_tsc pni monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr sse4_1 sse4_2 popcnt lahf_lm
bogomips	: 5390.86
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management: [8]


# cat /proc/meminfo 
MemTotal:     12290252 kB
MemFree:       4293288 kB
Buffers:        136464 kB
Cached:        7667656 kB
SwapCached:          0 kB
Active:         391028 kB
Inactive:      7451748 kB
HighTotal:           0 kB
HighFree:            0 kB
LowTotal:     12290252 kB
LowFree:       4293288 kB
SwapTotal:    14352376 kB
SwapFree:     14352144 kB
Dirty:              64 kB
Writeback:          16 kB
AnonPages:       38388 kB
Mapped:          18632 kB
Slab:           109708 kB
PageTables:       4776 kB
NFS_Unstable:        0 kB
Bounce:              0 kB
CommitLimit:  20497500 kB
Committed_AS:   221652 kB
VmallocTotal: 34359738367 kB
VmallocUsed:      7632 kB
VmallocChunk: 34359730691 kB
HugePages_Total:     0
HugePages_Free:      0
HugePages_Rsvd:      0
Hugepagesize:     2048 kB
Comment 2 Qunfang Zhang 2011-06-22 04:06:49 EDT
Created attachment 505940 [details]
Dump_analysis_1
Comment 3 Qunfang Zhang 2011-06-22 04:07:22 EDT
Created attachment 505941 [details]
Dump_analysis_2
Comment 6 Qunfang Zhang 2011-06-23 03:13:26 EDT
There's no qxl component, please help change a suitable component. Thanks.
Comment 7 Dor Laor 2011-08-07 06:46:53 EDT

*** This bug has been marked as a duplicate of bug 715222 ***

Note You need to log in before you can comment on or make changes to this bug.